List Api Tokens
GET
/api/v1/tokens
const url = 'https://example.com/api/v1/tokens?limit=50&offset=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/tokens?limit=50&offset=0'List all API tokens for the current user (without plaintext).
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
Limit
integer
offset
Offset
integer
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response List Api Tokens Api V1 Tokens Get
Array<object>
ApiTokenOutobject
Example generated
[ { "id": 1, "name": "example", "created_at": "2026-04-15T12:00:00Z", "last_used_at": "2026-04-15T12:00:00Z", "expires_at": "2026-04-15T12:00:00Z" }]Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}